Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs	(revision 14711)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("BestAntTrailAnalyzer", "An operator for analyzing the best ant trail of an artificial ant problem.")]
-  [StorableClass("3D72FA3E-4A4E-4FBA-A8EF-477D780C6658")]
+  [StorableType("3D72FA3E-4A4E-4FBA-A8EF-477D780C6658")]
   public sealed class BestAntTrailAnalyzer : SingleSuccessorOperator, IAntTrailAnalyzer, ISingleObjectiveOperator {
     public bool EnabledByDefault {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/AntTrail.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/AntTrail.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/AntTrail.cs	(revision 14711)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("AntTrail", "Represents a trail of an artificial ant which can be visualized in the GUI.")]
-  [StorableClass("56C847FA-9B1A-4EB0-9A98-896AC4DE238F")]
+  [StorableType("56C847FA-9B1A-4EB0-9A98-896AC4DE238F")]
   public sealed class AntTrail : Item {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntExpressionGrammar.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntExpressionGrammar.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntExpressionGrammar.cs	(revision 14711)
@@ -28,5 +28,5 @@
 using HeuristicLab.Problems.ArtificialAnt.Symbols;
 namespace HeuristicLab.Problems.ArtificialAnt {
-  [StorableClass("7976601A-0216-441D-A736-8B783661C53C")]
+  [StorableType("7976601A-0216-441D-A736-8B783661C53C")]
   [Item(Name = "ArtificialAntExpressionGrammar", Description = "The default grammar for an artificial ant problem.")]
   public class ArtificialAntExpressionGrammar : SymbolicExpressionGrammar {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntProblem.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntProblem.cs	(revision 14711)
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Problems.ArtificialAnt {
   [Item("Artificial Ant Problem", "Represents the Artificial Ant problem.")]
-  [StorableClass("B0A00A14-1243-4823-90A6-F66DC6F05367")]
+  [StorableType("B0A00A14-1243-4823-90A6-F66DC6F05367")]
   public sealed class ArtificialAntProblem : SingleObjectiveHeuristicOptimizationProblem<Evaluator, ISymbolicExpressionTreeCreator>, IStorableContent {
     public string Filename { get; set; }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Evaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Evaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Evaluator.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.ArtificialAnt {
   [Item("ArtificialAntEvaluator", "Evaluates an artificial ant solution.")]
-  [StorableClass("7601C3BD-E970-4506-906E-965E08CF85DC")]
+  [StorableType("7601C3BD-E970-4506-906E-965E08CF85DC")]
   public class Evaluator : InstrumentedOperator, ISingleObjectiveEvaluator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs	(revision 14711)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass("7889CE79-9C3C-45B7-AD5F-FE9C1B37AD3B")]
+  [StorableType("7889CE79-9C3C-45B7-AD5F-FE9C1B37AD3B")]
   [Item("IfFoodAhead", "Represents the if-food-ahead symbol in a artificial ant expression.")]
   public sealed class IfFoodAhead : Symbol {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs	(revision 14711)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass("FC269D77-E6BB-4CFE-A44D-4FD2AC78F687")]
+  [StorableType("FC269D77-E6BB-4CFE-A44D-4FD2AC78F687")]
   [Item("Left", "Represents the turn-left symbol in a artificial ant expression.")]
   public sealed class Left : Symbol {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs	(revision 14711)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass("20684258-5D6C-429E-A4CD-538B9566287C")]
+  [StorableType("20684258-5D6C-429E-A4CD-538B9566287C")]
   [Item("Move", "Represents the move-forward symbol in a artificial ant expression.")]
   public sealed class Move : Symbol {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs	(revision 14711)
@@ -26,5 +26,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass("9598AA16-A005-431B-AB67-00EC775805F0")]
+  [StorableType("9598AA16-A005-431B-AB67-00EC775805F0")]
   [Item("Prog2", "Represents the sequence symbol with 2 sub-trees in a artificial ant expression.")]
   public sealed class Prog2 : Symbol {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs	(revision 14711)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass("B8A2B010-3BB1-4D50-BCCD-E22A62388546")]
+  [StorableType("B8A2B010-3BB1-4D50-BCCD-E22A62388546")]
   [Item("Prog3", "Represents the sequence symbol with 3 sub-trees in a artificial ant expression.")]
   public sealed class Prog3 : Symbol {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs	(revision 14711)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass("50B9D0F9-73D7-44D6-B227-2F27B31DD589")]
+  [StorableType("50B9D0F9-73D7-44D6-B227-2F27B31DD589")]
   [Item("Right", "Represents the turn-right symbol in a artificial ant expression.")]
   public sealed class Right : Symbol {
